<html>
<head>
<title>OGRE: Ogre::CompositorInstance::TargetOperation Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>::<a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">TargetOperation</a></div>
<h1>Ogre::CompositorInstance::TargetOperation Class Reference</h1><!-- doxytag: class="Ogre::CompositorInstance::TargetOperation" -->Operation setup for a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> (collected).  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1CompositorInstance_1_1TargetOperation-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::bitset<br>
&lt; <a class="el" href="namespaceOgre.html#56cbccda3a83b1e035e5be74fb17406e">RENDER_QUEUE_COUNT</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#7026db7788bde13a6b6466a967733b64">RenderQueueBitSet</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A set of render queues to either include or exclude certain render queues.  <a href="#7026db7788bde13a6b6466a967733b64"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#e830521a3572e0c30c145e9e74c779de">TargetOperation</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#c5d88317c33db041474a3bbf6ebe247e">TargetOperation</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *<a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#f5c5f5aab22a31e194c2bba815d01b49">target</a>)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#f5c5f5aab22a31e194c2bba815d01b49">target</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target.  <a href="#f5c5f5aab22a31e194c2bba815d01b49"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#f87bc9636c803efa26fbcc4f5a4fa063">currentQueueGroupID</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Current group ID.  <a href="#f87bc9636c803efa26fbcc4f5a4fa063"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html#be1fafc9b94e4833ec62ce008c3a2bd6">RenderSystemOpPairs</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#91205dfe635e89525f6080c93a913522">renderSystemOperations</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> operations to queue into the scene manager, by uint8.  <a href="#91205dfe635e89525f6080c93a913522"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a068061eb691af0d3b0ff440004221a8">visibilityMask</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scene visibility mask If this is 0, the scene is not rendered at all.  <a href="#a068061eb691af0d3b0ff440004221a8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#8ba9a8940b2e81cb3e866cce28697a4f">lodBias</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">LOD offset.  <a href="#8ba9a8940b2e81cb3e866cce28697a4f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#7026db7788bde13a6b6466a967733b64">RenderQueueBitSet</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#4d359b9d7ce499be7c9e72e62a0a5787">renderQueues</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Which renderqueues to render from scene.  <a href="#4d359b9d7ce499be7c9e72e62a0a5787"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#56bb029bcccd70874ba6474e66393fdd">onlyInitial</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1CompositionTargetPass.html#7d4c5bd17e2e323f1d0d1ef267f8fd61" title="This target pass is only executed initially after the effect has been enabled.">CompositionTargetPass::mOnlyInitial</a> </dd></dl>
 <a href="#56bb029bcccd70874ba6474e66393fdd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#29e5d3e3b946b36d3b253d78e3a66b89">hasBeenRendered</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"Has been rendered" flag; used in combination with onlyInitial to determine whether to skip this target operation.  <a href="#29e5d3e3b946b36d3b253d78e3a66b89"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#09330d104546144ccb1ff53510fb826a">findVisibleObjects</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether this op needs to find visible scene objects or not.  <a href="#09330d104546144ccb1ff53510fb826a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#c5258ce0ba7b24c2854ec37543daa59f">materialScheme</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Which material scheme this op will use.  <a href="#c5258ce0ba7b24c2854ec37543daa59f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#c130ef8cace8c4af74ba60f37deb25fe">shadowsEnabled</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether shadows will be enabled.  <a href="#c130ef8cace8c4af74ba60f37deb25fe"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Operation setup for a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> (collected). 
<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00092">92</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="7026db7788bde13a6b6466a967733b64"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::RenderQueueBitSet" ref="7026db7788bde13a6b6466a967733b64" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::bitset&lt;<a class="el" href="namespaceOgre.html#56cbccda3a83b1e035e5be74fb17406e">RENDER_QUEUE_COUNT</a>&gt; <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#7026db7788bde13a6b6466a967733b64">Ogre::CompositorInstance::TargetOperation::RenderQueueBitSet</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
A set of render queues to either include or exclude certain render queues. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00125">125</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e830521a3572e0c30c145e9e74c779de"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::TargetOperation" ref="e830521a3572e0c30c145e9e74c779de" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::CompositorInstance::TargetOperation::TargetOperation           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00095">95</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c5d88317c33db041474a3bbf6ebe247e"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::TargetOperation" ref="c5d88317c33db041474a3bbf6ebe247e" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::CompositorInstance::TargetOperation::TargetOperation           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&nbsp;</td>
          <td class="paramname"> <em>target</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00098">98</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f5c5f5aab22a31e194c2bba815d01b49"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::target" ref="f5c5f5aab22a31e194c2bba815d01b49" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a>* <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#f5c5f5aab22a31e194c2bba815d01b49">Ogre::CompositorInstance::TargetOperation::target</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Target. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00106">106</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f87bc9636c803efa26fbcc4f5a4fa063"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::currentQueueGroupID" ref="f87bc9636c803efa26fbcc4f5a4fa063" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#f87bc9636c803efa26fbcc4f5a4fa063">Ogre::CompositorInstance::TargetOperation::currentQueueGroupID</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Current group ID. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00109">109</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="91205dfe635e89525f6080c93a913522"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::renderSystemOperations" ref="91205dfe635e89525f6080c93a913522" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html#be1fafc9b94e4833ec62ce008c3a2bd6">RenderSystemOpPairs</a> <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#91205dfe635e89525f6080c93a913522">Ogre::CompositorInstance::TargetOperation::renderSystemOperations</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> operations to queue into the scene manager, by uint8. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00113">113</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a068061eb691af0d3b0ff440004221a8"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::visibilityMask" ref="a068061eb691af0d3b0ff440004221a8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a068061eb691af0d3b0ff440004221a8">Ogre::CompositorInstance::TargetOperation::visibilityMask</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Scene visibility mask If this is 0, the scene is not rendered at all. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00117">117</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8ba9a8940b2e81cb3e866cce28697a4f"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::lodBias" ref="8ba9a8940b2e81cb3e866cce28697a4f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#8ba9a8940b2e81cb3e866cce28697a4f">Ogre::CompositorInstance::TargetOperation::lodBias</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
LOD offset. 
<p>
This is multiplied with the camera LOD offset 1.0 is default, lower means lower detail, higher means higher detail 
<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00121">121</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4d359b9d7ce499be7c9e72e62a0a5787"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::renderQueues" ref="4d359b9d7ce499be7c9e72e62a0a5787" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#7026db7788bde13a6b6466a967733b64">RenderQueueBitSet</a> <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#4d359b9d7ce499be7c9e72e62a0a5787">Ogre::CompositorInstance::TargetOperation::renderQueues</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Which renderqueues to render from scene. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00128">128</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="56bb029bcccd70874ba6474e66393fdd"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::onlyInitial" ref="56bb029bcccd70874ba6474e66393fdd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#56bb029bcccd70874ba6474e66393fdd">Ogre::CompositorInstance::TargetOperation::onlyInitial</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1CompositionTargetPass.html#7d4c5bd17e2e323f1d0d1ef267f8fd61" title="This target pass is only executed initially after the effect has been enabled.">CompositionTargetPass::mOnlyInitial</a> </dd></dl>

<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00132">132</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="29e5d3e3b946b36d3b253d78e3a66b89"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::hasBeenRendered" ref="29e5d3e3b946b36d3b253d78e3a66b89" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#29e5d3e3b946b36d3b253d78e3a66b89">Ogre::CompositorInstance::TargetOperation::hasBeenRendered</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
"Has been rendered" flag; used in combination with onlyInitial to determine whether to skip this target operation. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00136">136</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="09330d104546144ccb1ff53510fb826a"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::findVisibleObjects" ref="09330d104546144ccb1ff53510fb826a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#09330d104546144ccb1ff53510fb826a">Ogre::CompositorInstance::TargetOperation::findVisibleObjects</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Whether this op needs to find visible scene objects or not. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00139">139</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c5258ce0ba7b24c2854ec37543daa59f"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::materialScheme" ref="c5258ce0ba7b24c2854ec37543daa59f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#c5258ce0ba7b24c2854ec37543daa59f">Ogre::CompositorInstance::TargetOperation::materialScheme</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Which material scheme this op will use. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00141">141</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c130ef8cace8c4af74ba60f37deb25fe"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::shadowsEnabled" ref="c130ef8cace8c4af74ba60f37deb25fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#c130ef8cace8c4af74ba60f37deb25fe">Ogre::CompositorInstance::TargetOperation::shadowsEnabled</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Whether shadows will be enabled. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00143">143</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:25 2008
</p>
</body>
</html>
